# pulp_maven-client
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: v3
- Package version: 0.1.0b2.dev.1559416758
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import pulpcore.client.pulp_maven 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import pulpcore.client.pulp_maven
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import pulpcore.client.pulp_maven
from pulpcore.client.pulp_maven.rest import ApiException
from pprint import pprint

configuration = pulpcore.client.pulp_maven.Configuration()
# Configure HTTP basic authorization: Basic
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = pulpcore.client.pulp_maven.ContentApi(pulpcore.client.pulp_maven.ApiClient(configuration))
data = pulpcore.client.pulp_maven.MavenArtifact() # MavenArtifact | 

try:
    # Create a maven artifact
    api_response = api_instance.content_maven_artifact_create(data)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ContentApi->content_maven_artifact_create: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost:24817*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ContentApi* | [**content_maven_artifact_create**](docs/ContentApi.md#content_maven_artifact_create) | **POST** /pulp/api/v3/content/maven/artifact/ | Create a maven artifact
*ContentApi* | [**content_maven_artifact_list**](docs/ContentApi.md#content_maven_artifact_list) | **GET** /pulp/api/v3/content/maven/artifact/ | List maven artifacts
*ContentApi* | [**content_maven_artifact_read**](docs/ContentApi.md#content_maven_artifact_read) | **GET** {maven_artifact_href} | Inspect a maven artifact
*DistributionsApi* | [**distributions_maven_maven_create**](docs/DistributionsApi.md#distributions_maven_maven_create) | **POST** /pulp/api/v3/distributions/maven/maven/ | Create a maven distribution
*DistributionsApi* | [**distributions_maven_maven_delete**](docs/DistributionsApi.md#distributions_maven_maven_delete) | **DELETE** {maven_distribution_href} | Delete a maven distribution
*DistributionsApi* | [**distributions_maven_maven_list**](docs/DistributionsApi.md#distributions_maven_maven_list) | **GET** /pulp/api/v3/distributions/maven/maven/ | List maven distributions
*DistributionsApi* | [**distributions_maven_maven_partial_update**](docs/DistributionsApi.md#distributions_maven_maven_partial_update) | **PATCH** {maven_distribution_href} | Partially update a maven distribution
*DistributionsApi* | [**distributions_maven_maven_read**](docs/DistributionsApi.md#distributions_maven_maven_read) | **GET** {maven_distribution_href} | Inspect a maven distribution
*DistributionsApi* | [**distributions_maven_maven_update**](docs/DistributionsApi.md#distributions_maven_maven_update) | **PUT** {maven_distribution_href} | Update a maven distribution
*RemotesApi* | [**remotes_maven_maven_create**](docs/RemotesApi.md#remotes_maven_maven_create) | **POST** /pulp/api/v3/remotes/maven/maven/ | Create a maven remote
*RemotesApi* | [**remotes_maven_maven_delete**](docs/RemotesApi.md#remotes_maven_maven_delete) | **DELETE** {maven_remote_href} | Delete a maven remote
*RemotesApi* | [**remotes_maven_maven_list**](docs/RemotesApi.md#remotes_maven_maven_list) | **GET** /pulp/api/v3/remotes/maven/maven/ | List maven remotes
*RemotesApi* | [**remotes_maven_maven_partial_update**](docs/RemotesApi.md#remotes_maven_maven_partial_update) | **PATCH** {maven_remote_href} | Partially update a maven remote
*RemotesApi* | [**remotes_maven_maven_read**](docs/RemotesApi.md#remotes_maven_maven_read) | **GET** {maven_remote_href} | Inspect a maven remote
*RemotesApi* | [**remotes_maven_maven_update**](docs/RemotesApi.md#remotes_maven_maven_update) | **PUT** {maven_remote_href} | Update a maven remote


## Documentation For Models

 - [AsyncOperationResponse](docs/AsyncOperationResponse.md)
 - [InlineResponse200](docs/InlineResponse200.md)
 - [InlineResponse2001](docs/InlineResponse2001.md)
 - [InlineResponse2002](docs/InlineResponse2002.md)
 - [MavenArtifact](docs/MavenArtifact.md)
 - [MavenDistribution](docs/MavenDistribution.md)
 - [MavenRemote](docs/MavenRemote.md)


## Documentation For Authorization


## Basic

- **Type**: HTTP basic authentication


## Author




